function onBegin()
  -- find out if the cutscene has run before
  local ran_before = getFlag("granny_cutscene_ran")

    -- if this is the first time:
  if not ran_before then
    -- set this for the next time round
    setFlag("granny_cutscene_ran", true)

    -- do the thing
		player.ForceCameraUpdate = true
		disableMovement()
		wait(0.5)
		setCameraOffset(1,0)
		wait(0.5)
		say("Spooooky_SentientForest_c09")
		setCameraOffset(0.2,0)
		walkTo(16124)
		say("Spooooky_SentientForest_Granny1")
		setCameraOffset(0,0)
		enableMovement()
	else
	-- nothing
	end
end

function onEnd(room, wasSkipped)
	setCameraOffset(0,0)
	enableMovement()
end